
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: kdebindings: build without java on ARM

When building kdebindings on ARM, build without java bits.  (Note:
this patch is obsolete.)

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/kdebindings.spec
===================================================================
--- SPECS.orig/kdebindings.spec
+++ SPECS/kdebindings.spec
@@ -2,7 +2,7 @@
 Name:	 kdebindings
 Summary: KDE bindings to non-C++ languages
 Version: 3.5.8
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 
 License: GPLv2
 Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
@@ -40,12 +40,14 @@ Provides: %{name}-ruby = %{version}-%{re
 %{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')}
 %{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')}
 
+%ifnarch %{arm}
 ## java
 #BuildRequires: java-1.4.2-gcj-compat-devel libgcj-devel gcc-java
 BuildRequires: java-devel >= 1.4.2
 %define java_home %{_prefix}/lib/jvm/java
 %define _with_java --with-java=%{java_home}
 Provides: %{name}-java = %{version}-%{release}
+%endif
 
 %description
 KDE/DCOP bindings to non-C++ languages
